Package com.independentsoft.msg

# Enum Class DisplayType

java.lang.Object
java.lang.Enum<DisplayType>
com.independentsoft.msg.DisplayType

All Implemented Interfaces:
  `Serializable`, `Comparable<DisplayType>`, `Constable`

public enum DisplayType extends Enum<DisplayType>
Contains a value used to associate an icon with a particular row of a table.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AGENT`
  An automated agent, such as Quote-Of-The-Day or a weather chart display.
  `DISTRIBUTION_LIST`
  A distribution list.
  `FOLDER`
  Display default folder icon adjacent to folder.
  `FOLDER_LINK`
  Display default folder link icon adjacent to folder rather than the default folder icon.
  `FOLDER_SPECIAL`
  Display icon for a folder with an application-specific distinction, such as a special type of public folder.
  `FORUM`
  A forum, such as a bulletin board service or a public or shared folder.
  `GLOBAL_ADDRESS_BOOK`
  A global address book.
  `LOCAL_ADDRESS_BOOK`
  A local address book that you share with a small workgroup.
  `MAIL_USER`
  A typical messaging user.
  `MODIFIABLE`
  Modifiable; the container should be denoted as modifiable in the user interface.
  `NONE`
  None.
  `NOT_SPECIFIC`
  Does not match any of the other settings.
  `ORGANIZATION`
  A special alias defined for a large group, such as helpdesk, accounting, or blood-drive coordinator.
  `PRIVATE_DISTRIBUTION_LIST`
  A private, personally administered distribution list.
  `REMOTE_MAIL_USER`
  A recipient known to be from a foreign or remote messaging system.
  `WIDE_AREA_NETWORK_ADDRESS_BOOK`
  A wide area network address book.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DisplayType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static DisplayType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AGENT

    public static final DisplayType AGENT
    An automated agent, such as Quote-Of-The-Day or a weather chart display.

  - ### DISTRIBUTION_LIST

    public static final DisplayType DISTRIBUTION_LIST
    A distribution list.

  - ### FOLDER

    public static final DisplayType FOLDER
    Display default folder icon adjacent to folder.

  - ### FOLDER_LINK

    public static final DisplayType FOLDER_LINK
    Display default folder link icon adjacent to folder rather than the default folder icon.

  - ### FOLDER_SPECIAL

    public static final DisplayType FOLDER_SPECIAL
    Display icon for a folder with an application-specific distinction, such as a special type of public folder.

  - ### FORUM

    public static final DisplayType FORUM
    A forum, such as a bulletin board service or a public or shared folder.

  - ### GLOBAL_ADDRESS_BOOK

    public static final DisplayType GLOBAL_ADDRESS_BOOK
    A global address book.

  - ### LOCAL_ADDRESS_BOOK

    public static final DisplayType LOCAL_ADDRESS_BOOK
    A local address book that you share with a small workgroup.

  - ### MAIL_USER

    public static final DisplayType MAIL_USER
    A typical messaging user.

  - ### MODIFIABLE

    public static final DisplayType MODIFIABLE
    Modifiable; the container should be denoted as modifiable in the user interface.

  - ### ORGANIZATION

    public static final DisplayType ORGANIZATION
    A special alias defined for a large group, such as helpdesk, accounting, or blood-drive coordinator.

  - ### PRIVATE_DISTRIBUTION_LIST

    public static final DisplayType PRIVATE_DISTRIBUTION_LIST
    A private, personally administered distribution list.

  - ### REMOTE_MAIL_USER

    public static final DisplayType REMOTE_MAIL_USER
    A recipient known to be from a foreign or remote messaging system.

  - ### WIDE_AREA_NETWORK_ADDRESS_BOOK

    public static final DisplayType WIDE_AREA_NETWORK_ADDRESS_BOOK
    A wide area network address book.

  - ### NOT_SPECIFIC

    public static final DisplayType NOT_SPECIFIC
    Does not match any of the other settings.

  - ### NONE

    public static final DisplayType NONE
    None.

- ## Method Details

  - ### values

    public static DisplayType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DisplayType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null